import request from '@/utils/request'

// 查询质量月报S3011列表
export function listS3011(query) {
  return request({
    url: '/production/s3011/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S3011详细
export function getS3011(id) {
  return request({
    url: '/production/s3011/' + id,
    method: 'get'
  })
}

// 新增质量月报S3011
export function addS3011(data) {
  return request({
    url: '/production/s3011',
    method: 'post',
    data: data
  })
}

// 修改质量月报S3011
export function updateS3011(data) {
  return request({
    url: '/production/s3011',
    method: 'put',
    data: data
  })
}

// 删除质量月报S3011
export function delS3011(id) {
  return request({
    url: '/production/s3011/' + id,
    method: 'delete'
  })
}

// 导出质量月报S3011
export function exportS3011(query) {
  return request({
    url: '/production/s3011/export',
    method: 'get',
    params: query
  })
}